_LiveGameData_CPP_Adapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _LiveGameData_CPP_Adapter

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._LiveGameData_CPP_Adapter

    public class _LiveGameData_CPP_Adapter

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`_LiveGameData_CPP_Adapter(LiveGameData gameData)`

Method Summary
`byte[]` | `getCommentaryInfoBuffer()`
`byte[]` | `getGraphicsInfoBuffer()`
`byte[]` | `getScoringInfoBuffer()`
`byte[]` | `getTelemetryBuffer()`
`byte[]` | `getVehicleScoringInfoBuffer(int index)`
`void` | `initVehicleScoringInfo()`
`void` | `notifyCommentaryInfoUpdated()`
`void` | `notifyGraphicsInfoUpdated()`
`void` | `notifyScoringInfoUpdated()`
`void` | `notifyTelemetryUpdated()`
`void` | `prepareCommentaryInfoDataUpdate()`
`void` | `prepareGraphicsInfoDataUpdate()`
`void` | `prepareScoringInfoDataUpdate()`
`void` | `prepareTelemetryDataUpdate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _LiveGameData_CPP_Adapter

    public _LiveGameData_CPP_Adapter(LiveGameData gameData)

Method Detail

### prepareTelemetryDataUpdate

    public final void prepareTelemetryDataUpdate()

### getTelemetryBuffer

    public final byte[] getTelemetryBuffer()

### notifyTelemetryUpdated

    public void notifyTelemetryUpdated()

### prepareScoringInfoDataUpdate

    public final void prepareScoringInfoDataUpdate()

### getScoringInfoBuffer

    public final byte[] getScoringInfoBuffer()

### initVehicleScoringInfo

    public void initVehicleScoringInfo()

### getVehicleScoringInfoBuffer

    public final byte[] getVehicleScoringInfoBuffer(int index)

### notifyScoringInfoUpdated

    public void notifyScoringInfoUpdated()

### prepareGraphicsInfoDataUpdate

    public final void prepareGraphicsInfoDataUpdate()

### getGraphicsInfoBuffer

    public final byte[] getGraphicsInfoBuffer()

### notifyGraphicsInfoUpdated

    public void notifyGraphicsInfoUpdated()

### prepareCommentaryInfoDataUpdate

    public final void prepareCommentaryInfoDataUpdate()

### getCommentaryInfoBuffer

    public final byte[] getCommentaryInfoBuffer()

### notifyCommentaryInfoUpdated

    public void notifyCommentaryInfoUpdated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD